<?php
// install script
// coyright(c) team1/3 All Rights Reserved.

function install_script()
{
	global $database, $p_circle, $ut;

	$ar = $database->sql_select_all("select metadata from ".DBX."circles where id=?", $p_circle);
	if ($ar) {
		$m = unserialize64($ar[0]['metadata']);
		if ($m) {
			$m['installed_plugins'][162] = array(
				  'selector' => "cart"
				//, 'title' => "Shopping Cart"
				, 'title' => "ショッピングカート"
				, 'php' => ".cart"
				, 'add_inner' => true
				, 'renderer' => true
			);
			$database->sql_update("update ".DBX."circles set metadata=? where id=?", serialize64($m), $p_circle);
		}
	}

	// エイリアス設定チェック
	$params['circle']['meta'] = get_circle_meta();
	$alias_ar = array();
	if (!isset($params['circle']['meta']['alias']) || !isset($params['circle']['meta']['alias']['cart'])) {
		$r = array();
		//$r['meta']['template_ar']['php'] = '.cart.php';
		$r['link'] = 0;
		$r['mode'] = 1;
		$r['type'] = 162;
		//$r['title'] = 'Shopping Cart Manager';
		$r['title'] = "ショッピングカート";
		$r['result'] = create_page( $r );
		if (!$r['result']) {
			return false;
		}
		$params['circle']['meta']['alias']['cart'] = $r['id'];
		if (!$database->sql_update("update ".DBX."circles set metadata=? where id=?", serialize64($params['circle']['meta']), $p_circle)) {
			return false;
		}
		$id = $r['id'];
	} else {
		$id = $params['circle']['meta']['alias']['cart'];
	}

	$m = get_circle_meta('system_menus');
	if (empty($m['Shopping_Cart_Manager'])) {
		//メニュー追加
		$r = array();
		$m = get_circle_meta('system_menus');
		$r['title'] = "ショッピングカート管理";
		$r['rights'] = 'admin';
		$m['Shopping_Cart_Manager'] = array('title'=>$r['title'], 'url'=>$ut->link($id,'&:mode=order'), 'rights'=>$r['rights']);
		set_circle_meta('system_menus',$m);
	}
}

function uninstall_script()
{
	global $database, $p_circle;

	$ar = $database->sql_select_all("select metadata from ".DBX."circles where id=?", $p_circle);
	if ($ar) {
		$m = unserialize64($ar[0]['metadata']);
		if ($m) {
			unset($m['installed_plugins'][162]);
			$database->sql_update("update ".DBX."circles set metadata=? where id=?", serialize64($m), $p_circle);
		}
	}
	$m = get_circle_meta('system_menus');
	unset($m['Shopping_Cart_Manager']);
	set_circle_meta('system_menus',$m);

}

?>