<?php
/* shopping cart
    name: Shopping Cart
	OneThird CMS coyright(c) team1/3 All Rights Reserved.
*/

	global $config,$tax_rate,$ut;
	if (!isset($config)) { die(); }
	
	$tax_rate = 1.08;

	if (!defined('CART_ID')) {
		define('CART_ID',162);
	}
	if (check_rights('admin')) {
		require_once(dirname(__FILE__).'/cart/cart_ctrl.php');
		check_zip_data();
	}
	
function cart_page( &$page_ar )
{
	global $html,$params,$config,$ut;
	
	if ($page_ar['block_type']==10) {
		if (check_rights('admin')) {
			//snippet_breadcrumb($page_ar['link'], "ショッピングカート管理");
			$params['breadcrumb'] = array();
			$params['breadcrumb'][] = array( 'link'=>'', 'text'=>"<a href='{$ut->link($params['page']['link'],"&:mode=order")}'>ショッピングカート管理</a>" );
			$params['breadcrumb'][] = array( 'link'=>'', 'text'=>"item" );
			return cart_ctrl_item($page_ar);
		}
		return 'rights error';
	}

$html['css']['cart'] = <<<EOT
	<style>
		#cart_report {
			padding: 10px 20px;
			background-color: rgba(192, 192, 192, 0.10);
			border: 1px solid #c0c0c0;
			min-height: 200px;
			margin-bottom:20px;
		}
		#order_report {
			padding: 10px;
			background-color: rgb(249, 249, 249);
			border: 1px solid #c0c0c0;
			min-height: 200px;
			margin-bottom:20px;
			max-width:700px;
		}
		#order_report .title {
			font-size:20px;
			margin-bottom:30px;
		}
		#order_report .cart_confirm {
			text-align: center;
			margin:30px;
		}
		#order_report .cart_confirm div {
			display:inline-block;
			padding: 9px 17px;
			line-height: 222%;
			font-size:18px;
			text-align: center;
			cursor:pointer;

			border:1px solid #CA8B38;
			-webkit-border-radius: 3px;
			-moz-border-radius: 3px;border-radius: 3px;
			text-decoration:none; display:inline-block;
			text-shadow: -1px -1px 0 rgba(0,0,0,0.15);
			font-weight:bold;
			color: #FFFFFF;

			background-color: #ffaf46;
			background-image: -webkit-gradient(linear, left top, left bottom, from(#ffaf46), to(#e78404));
			background-image: -webkit-linear-gradient(top, #ffaf46, #e78404);
			background-image: -moz-linear-gradient(top, #ffaf46, #e78404);
			background-image: -ms-linear-gradient(top, #ffaf46, #e78404);
			background-image: -o-linear-gradient(top, #ffaf46, #e78404);
			background-image: linear-gradient(to bottom, #ffaf46, #e78404);filter:progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#ffaf46, endColorstr=#e78404);

		}
		#order_report .send_order div {
			background-image: -webkit-gradient(linear, left top, left bottom, from(#e40a0a), to(#9f0202));
			background-image: -webkit-linear-gradient(top, #e40a0a, #9f0202);
			background-image: -moz-linear-gradient(top, #e40a0a, #9f0202);
			background-image: -ms-linear-gradient(top, #e40a0a, #9f0202);
			background-image: -o-linear-gradient(top, #e40a0a, #9f0202);
			background-image: linear-gradient(to bottom, #e40a0a, #9f0202);filter:progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#e40a0a, endColorstr=#9f0202);
		}
		#order_report .cart_confirm.disabled div {
			color: rgba(0, 0, 0, 0.28);
			border:1px solid #807D79;
			cursor:not-allowed;
			background-color: #d3d3d3;
			background-image: -webkit-gradient(linear, left top, left bottom, from(#d3d3d3), to(#707070));
			background-image: -webkit-linear-gradient(top, #d3d3d3, #707070);
			background-image: -moz-linear-gradient(top, #d3d3d3, #707070);
			background-image: -ms-linear-gradient(top, #d3d3d3, #707070);
			background-image: -o-linear-gradient(top, #d3d3d3, #707070);
			background-image: linear-gradient(to bottom, #d3d3d3, #707070);filter:progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#d3d3d3, endColorstr=#707070);
 		}
		#order_report .send_item {
			padding:5px 20px;
			background-color: rgba(25, 24, 24, 0.09);
			margin:2px 0;
			position: relative;
		}
		#order_report .send_item .label {
			min-width:150px;
			display: table-cell;
			vertical-align: top;
		}
		#order_report .ng {
			background-color: rgb(255, 219, 219);
		}
		#order_report .ng .label:after {
			content: '*';
			position: absolute;
			right: 20px;
			top: 5px;
			height: 16px;
			width: 16px;
			color:red;
			font-weight:bold;
		}
		#order_report .ok .label:after {
			content: '';
			background-image: url({$config['site_url']}img/ok.png);
			position: absolute;
			right: 20px;
			top: 5px;
			height: 16px;
			width: 16px;
		}
		#order_report .send_item .input {
			width:100%;
			display: table-cell;
		}
		#order_report .send_item .input input {
			width:100%;
		}
		#order_report .send_item .input input[type=checkbox] {
			width:inherit;
		}
		.cart_option {
			margin:20px 0;
		}
		.cart_option span {
			font-size:80%;
		}
		@media (max-width: 768px) {
			#order_report .send_item .input {
				display: inline-block;
			}
		}
		#order_report .confirm .input input
			, #order_report .confirm .input select
			, #order_report .confirm .input textarea {
			border:none;
		}
		
	</style>
EOT;

	$buff = '';

	if (check_rights('admin')) {
		if (isset($_GET['mode']) && $_GET['mode'] == 'order') {
			//snippet_breadcrumb($page_ar['link'], "ショッピングカート管理");
			$params['breadcrumb'] = array();
			$params['breadcrumb'][] = array( 'link'=>'', 'text'=>"<a href='{$ut->link($params['page']['link'],"&:mode=order")}'>ショッピングカート管理</a>" );
			$buff .= cart_ctrl_page($page_ar);
			return $buff;
		}
	}
	snippet_breadcrumb($page_ar['link'], $page_ar['title']);
	
	$buff .= cart_user_page($page_ar);

	return $buff;
}

function cart_user_page( &$page_ar )
{
	global $params,$config,$ut,$html,$tax_rate,$p_circle;
	$buff = '';
	
	if ( isset($_POST['ajax']) && $_POST['ajax'] == 'send_order' )  {

		//非ログイン状態でもページ追加を許可する
		set_func_right('edit.modules');
		set_func_right('add_page',false);
		provide_edit_rights();

		$r = array();
		$r['result'] = false;
		$meta = array();
		$meta['mail'] = $ut->safe_str($_POST['p_mail']);
		$meta['status'] = 0;
		foreach ($_POST as $k=>$v) {
			if (substr($k,0,2) == 'p_') {
				$meta[$k] = $ut->safe_echo($v);
			}
		}
		$order_ar = json_decode($_POST['data']);
		$meta['order'] = array();
		$meta['total_price'] = 0;
		if (is_array($order_ar)) {
			foreach ($order_ar as $v) {
				if (!empty($v->id) && read_pagedata($v->id, $ar)) {
					$page_cart_price = $ar['meta']['page_cart_price'];
					$page_cart_count = $v->count;
					$page_cart_p = $page_cart_price * $page_cart_count;
					if ($ar['block_type']==5 && $ar['type']==CART_ID && read_pagedata($ar['link'], $ar0)) {
						$t = $ar0['title'];
						if (!empty($ar['meta']['page_cart_title'])) {
							$t = "$t ({$ar['meta']['page_cart_title']})";
						}
						$meta['order'][] = array(
							'title'=>$t
							, 'price'=>$page_cart_price
							, 'count'=>$page_cart_count
							, 'id'=>$ar['link']
						);
						$meta['total_price'] +=($page_cart_price*$page_cart_count);
					}
				}
			}
		}
		$meta['total_tax'] = $tax_rate = $meta['total_price']*($tax_rate-1);

		$meta['p_post'] = $ut->safe_echo($_POST['p_post']);
		$meta['p_name'] = $ut->safe_echo($_POST['p_name']);
		
		$rx = array();
		$rx['link'] = $params['page']['id'];
		$rx['result'] = false;
		$rx['type'] = CART_ID;
		$rx['mode'] = 10;
		$rx['date'] = $params['now'];
		$rx['title'] = '注文 - '.$params['now'];
		$rx['block_type'] = 10;
		$rx['meta'] = $meta;
		if (!create_page($rx)) {
			echo( json_encode($r) );
			exit();
		}
		$opt = get_cart_mess($page_ar);
$r['html'] = <<<EOT
		<div style='font-size: 30px; padding: 20px 0;'>
			ご注文ありがとうございました
		</div>
		<div style='font-size: 16px; '>
			<span style='font-weight:bold'>{$meta['mail']}</span> 宛にメールを送りましたのでご確認ください<br />
			メールがとどかない場合は、注文番号#{$rx['id']}でお問い合わせください<br />
			お問い合わせ先<br />
			電話番号 : {$opt['tel']}<br />
			メールアドレス : {$opt['mail']}<br />
		</div>
EOT;

$buff = <<<EOT
{$opt['head']}

---------------------------------------------------------------------
[受注番号] {$rx['id']}
[日時]     {$rx['date']}
[送付先]   {$meta['p_name']} 様
           〒{$meta['p_post']} {$meta['p_addr1']} {$meta['p_addr2']}
           TEL {$meta['p_tel']}

[支払方法] {$meta['p_payment']}
[配送方法] 宅配便
[備考]
{$meta['p_etc']}

[商品]
EOT;

	$total = $meta['total_price'];
	foreach ($meta['order'] as $v) {
$buff .= <<<EOT

--
商品名 : {$v['title']}
価格   : {$v['price']}円 * {$v['count']} = {$ut->safe_price($v['price']*(int)$v['count'])}

EOT;
	}

	$tax_rate = $meta['total_tax'];
	if (!empty($meta['p_about_send_price'])) {
		$p = $ut->safe_num($meta['p_about_send_price']);
$buff .= <<<EOT
---

合計   : {$ut->safe_price((int)$total+(int)$tax_rate)}円 + {$ut->safe_price($p)} 円(送料) + 260円(手数料)= {$ut->safe_price($total+$tax_rate+$p+260)}円

EOT;
	} else {
$buff .= <<<EOT
---

合計   : {$ut->safe_price($total+$tax_rate)}円(税抜) + (送料)

EOT;
	}


$buff .= <<<EOT

※ 送料等の諸費用は変わる場合があります。
※ 商品発送完了時には、明細のメールを送信します。
   しばらくお待ち下さい。

※ 商品の発送前なら注文のキャンセルが可能です
   以下の連絡先までご連絡ください。

{$opt['footer']}


EOT;

		//$r['html'] .= "<pre>".$buff."</pre>";	// for debug
		$mail_ar = array();
		$mail_ar['to'] =  $meta['mail'];
		$mail_ar['cc'] =  $opt['mail'];
		$mail_ar['from'] =  $opt['mail'];
		$mail_ar['user_nickname'] = $opt['name'];
		$mail_ar['subject'] = "{$opt['name']} 注文確認";
		$mail_ar['no-log'] = true;
		$mail_ar['message'] = $buff;

		$r['result'] = sx_send_mail($mail_ar);
		
		echo( json_encode($r) );
		exit();
	}
	
	if ( isset($_POST['ajax']) && $_POST['ajax'] == 'adj_postnum' )  {
		$r = array();
		$r['result'] = false;
		$r['data'] = mb_convert_kana($_POST['data'], 'a');
		
		$path = $config['files_path'].DIRECTORY_SEPARATOR.$p_circle.DIRECTORY_SEPARATOR.'plugin'.DIRECTORY_SEPARATOR.'cart'.DIRECTORY_SEPARATOR;
		$db_name = 'post';
		$r['addr1'] = '';
		$db = new DataBase('sqlite','','','',$path);
		if ($db->open($db_name.substr($r['data'],0,1))) {
			$ar = $db->sql_select_all( "select addr1,addr2 from data where post like ?","{$r['data']}%");
			if ($ar) {
				$r['result'] = true;
				$r['addr1'] = $ar[0]['addr1'];
				$r['addr2'] = $ar[0]['addr2'];
			}
		}
		if (!empty($params['page']['meta']['shipping']) && $r['addr1']) {
			$r['shipping'] = $shipping = $params['page']['meta']['shipping'];
			$path = $config['files_path'].DIRECTORY_SEPARATOR.$p_circle.DIRECTORY_SEPARATOR.'plugin'.DIRECTORY_SEPARATOR.'cart'.DIRECTORY_SEPARATOR;
			$db_name = 'postage';
			$db = new DataBase('sqlite','','','',$path);
			if ($db->open($db_name)) {
				$name = '';
				$ar = $db->sql_select_all( "select name,data from 'area' ;");
				if ($ar) {
					foreach ($ar as $v) {
						if (strstr($v['data'],$r['addr1']) !== false) {
							$name = $v['name'];
						}
						if (strstr($v['data'],$shipping) !== false) {
							$r['shipping'] = $shipping = $v['name'];
						}
					}
				}
				if ($name == $shipping) {
					$ar = $db->sql_select_all( "select area,price from 'data' where from_area=?;",'同一県内');
					if ($ar) {
						$r['price'] = $ut->safe_price($ar[0]['price']);
					}
				} else {
					if ($name) {
						$ar = $db->sql_select_all( "select area,price from 'data' where from_area=?;",$shipping);
						if ($ar) {
							$r['price'] = 0;
							foreach ($ar as $v) {
								if (strstr($v['area'],$name) !== false) {
									$r['price'] = $ut->safe_num($v['price']);
								}
							}
							if ($r['price'] == '東京都') {
								foreach ($ar as $v) {
									if (strstr($v['area'],'関東') !== false) {
										$r['price'] = $ut->safe_num($v['price']);
									}
								}
							}
						}
					}
				}
			}
		}
		
		echo( json_encode($r) );
		exit();
	}
	
	if ( isset($_POST['ajax']) && $_POST['ajax'] == '*cart_user_page' )  {
		$r = array();
		$r['result'] = true;
		$r['data'] = json_decode($_POST['data']);
		$r['html'] = "";
		$total = 0;
		if (is_array($r['data'])) {
$r['html'] .= <<<EOT
			<div class='cart_table'>
				<table>
					<tr>
						<th>商品名</th>
						<th>価格</th>
						<th>数量</th>
						<th>小計</th>
					</tr>
EOT;
					foreach ($r['data'] as $v) {
						if (!empty($v->id) && read_pagedata($v->id, $ar)) {
							$page_cart_price = $ar['meta']['page_cart_price'];
							$page_cart_count = $v->count;
							$total +=  $page_cart_price * $page_cart_count;
							if ($ar['block_type']==5 && $ar['type']==CART_ID && read_pagedata($ar['link'], $ar0)) {
								$t = $ar0['title'];
								if (!empty($ar['meta']['page_cart_title'])) {
									$t = "$t ({$ar['meta']['page_cart_title']})";
								}
$r['html'] .= <<<EOT
								<tr>
									<td><a href='{$ut->link($ar['link'])}'>{$t}</a></td>
									<td>{$ut->safe_price($page_cart_price)}円</td>
									<td>
										<select class='cart_xcount' data-x='{$page_cart_count}' data-idx='p{$ar['id']}'>
EOT;
										for ($i=1; $i<11; ++$i) {
$r['html'] .= <<<EOT
											<option value='$i' {$ut->check($page_cart_count==$i,' selected ')}>$i</option>
EOT;
										}
$r['html'] .= <<<EOT
										</select>
									</td>
									<td>{$ut->safe_price($total)}円
										{$ut->icon('delete'," onclick='remove_cart(\"p{$ar['id']}\")' class='del_hnd' ")}
									</td>
								</tr>
EOT;
							}
						}
					}
					$tax_rate = $total*($tax_rate-1);
$r['html'] .= <<<EOT
				</table>
				<div class='total-unit'>
					<p class='price'>{$ut->safe_price($total)}円(税抜)</p>
					<p class='tax_price'>{$ut->safe_price($tax_rate)}円(消費税)</p>
EOT;
					if (!empty($page_ar['meta']['send_price'])) {
					} else {
$r['html'] .= <<<EOT
						* 別途送料等が必要です
EOT;
					}
$r['html'] .= <<<EOT
					<p >合計 <span class='total_price'>{$ut->safe_price($total+$tax_rate)}円</span></p>
				</div>
			</div>
EOT;

			$r['buy_price'] = $ut->safe_num($total+$tax_rate);

		}
		echo( json_encode($r) );
		exit();
	}

$buff .= <<<EOT
	<div id='cart_report'>
	</div>
	<div id='order_report'>
		<div class='title'>送付先/決裁方法</div>
		<div class='send_item ng'>
			<p class='label'>お名前</p>
			<p class='input'><input type='text' class='p_input' id='p_name' onkeyup='adj_input()' onchange='adj_input()' />
			</p>
		</div>
		<div class='send_item ng'>
			<p class='label'>郵便番号</p>
			<p class='input'><input type='text' class='p_input' id='p_post' onkeyup='adj_postnum(this)' />
			</p>
		</div>
		<div class='send_item addr ng'>
			<p class='label'>ご住所 <span style='font-size:80%'>(都道府県)</span></p>
			<p class='input'><input type='text' class='p_input' id='p_addr0' onkeyup='adj_input()' onchange='adj_input()' /></p>
		</div>
		<div class='send_item addr ng'>
			<p class='label'>ご住所 <span style='font-size:80%'>(市区町村)</span></p>
			<p class='input'><input type='text' class='p_input' id='p_addr1' onkeyup='adj_input()' onchange='adj_input()' /></p>
		</div>
		<div class='send_item addr ng'>
			<p class='label'>ご住所 <span style='font-size:80%'>(番地/部屋番号)</span></p>
			<p class='input'><input type='text' class='p_input' id='p_addr2' onkeyup='adj_input()' onchange='adj_input()' /></p>
		</div>
		<div class='send_item ng'>
			<p class='label'>電話番号</p>
			<p class='input'><input type='tel' class='p_input' id='p_tel' onkeyup='adj_input()' onchange='adj_input()' />
			</p>
		</div>
		<div class='send_item ng'>
			<p class='label'>メールアドレス</p>
			<div class='input'>
				<p><input type='text' class='p_input' id='p_mail' onkeyup='adj_input()' onchange='adj_input()' /> </p>
				<p class='cart_rem'>{$ut->icon('caution'," width='22' ")} 
				携帯電話用メールアドレスはご利用いただけません</p>
			
			</div>
		</div>
		<div class='send_item'>
			<p class='label'>支払い方法</p>
			<p class='input'>
				<select id='p_payment' class='p_input'>
					<option value='代引'>代引</option>
				</select>
			</p>
		</div>
		<div class='send_item'>
			<p class='label'>ご請求金額</p>
			<div class='input ' >
				<p id='buy_price'>
				</span>
				<p id='about_send_price'>
				</p> 
				<p id='total_buy_price'></p>
				<p class='cart_rem'>{$ut->icon('caution'," width='22' ")} 送料は商品重量などの条件で変わる場合があります</p>
			</div>
		</div>
		<div class='send_item'>
			<p class='label'>通信欄</p>
			<p class='input'>
				<textarea style='height:3em;width:100%;' id='p_etc' class='p_input' ></textarea>
			</p>
		</div>
		<p class='cart_option'><label class='write'><input type='checkbox' /> PC/スマートフォンに設定を記憶させる</label>
			<span>(次回からの入力が省略できます)</span>
		</p>
		<div class='cart_confirm disabled' onclick='cart_confirm()' id='cart_confirm' >
			<div>注文を確認する</div>
		</div>
		<div class='cart_confirm send_order' id='send_order' style='display:none'>
			<div onclick='send_order()' >上記内容で注文する</div><br />
			<span onclick='reinput_order()' class='onethird-button mini'>注文を修正する</span>
		</div>
	</div>
EOT;
	provide_onethird_object();
$html['css']['cart_user_page'] = <<<EOT
	<style>
		.cart_table {
			display:inline-block;
			width:100%;
		}
		.total-unit {
			text-align:right;
		}
		.total-unit p {
			text-align:right;
			margin: 5px 0;
		}
		.total_price {
			color: #cc3333;
			font-weight: bold;
			font-size: 24px;
		}
		.cart_table table {
			border-collapse: collapse;
			border-top:1px solid #888;
			width:100%;
		}
		.cart_table th, .cart_table td {
			padding: 5px 7px;
			text-align:left;
			width:20%;
		}
		.cart_table th {
			color:#fff;
			background-color:#888;
		}
		.cart_table td {
			border-bottom:1px dotted #888;
		}
		.cart_table tr:nth-child(odd) {
			background-color:rgba(140, 140, 140, 0.16);
		}
		.cart_title {
			font-size: 200%;
			margin: 0;
			padding: 10px 0 20px;
		}
		.cart_mess {
			color: #AD0000;
		}
		.cart_table .del_hnd {
			cursor:pointer;
			width:16px;
			height:16px;
		}
		.cart_rem {
			padding:5px 7px 5px 35px;
			position: relative;
			font-size:14px;
			background-color: rgb(243, 226, 188);
			border: 1px solid rgba(0, 0, 0, 0.11);
			border-radius: 3px;
		}
		.cart_rem img {
			position: absolute;
			top:5px;
			left:5px;
		}
	</style>
EOT;
	
$html['meta']['cart_user_page'] = <<<EOT
	<script>
		\$(function(){
			if (!window['localStorage']) {
				alert("お使いのブラウザではご利用いただけません");
				return;
			}
			var cart = window.localStorage['onethird-cart'];
			if (!cart) {
				cart = {};
			} else {
				cart = JSON.parse(cart);
			}
			var ar = [];
			for (var v in cart) {
				ar.push({'id':cart[v].id,'count':cart[v].count});
			}
			if (!ar.length) {
				\$('#cart_report').text("現在、カートに商品は入っていません");
			} else {
				cal_cart(ar);
			}
			\$(document).on('click change','.cart_xcount',function(){
				var o = \$(this);
				if (o.attr('data-x') != o.val()) {
					var cart = window.localStorage['onethird-cart'];
					if (cart) {
						cart = JSON.parse(cart);
						if (cart[o.attr('data-idx')].count != o.val()) {
							cart[o.attr('data-idx')].count = o.val();
							window.localStorage['onethird-cart'] = JSON.stringify(cart);
							var ar = [];
							for (var v in cart) {
								ar.push({'id':cart[v].id,'count':cart[v].count});
							}
							cal_cart(ar);
						}
					}
				}
			});
			var inp = window.localStorage['onethird-cart-input'];
			if (inp) {
				inp = JSON.parse(inp);
				if (inp['p_name']) {
					\$('#p_name').val(inp['p_name']).parents('.send_item').removeClass('ng');
				}
				if (inp['p_post']) {
					\$('#p_post').val(inp['p_post']).parents('.send_item').removeClass('ng');
				}
				if (inp['p_addr0']) {
					\$('#p_addr0').val(inp['p_addr0']).parents('.send_item').removeClass('ng');
				}
				if (inp['p_addr1']) {
					\$('#p_addr1').val(inp['p_addr1']).parents('.send_item').removeClass('ng');
				}
				if (inp['p_addr2']) {
					\$('#p_addr2').val(inp['p_addr2']).parents('.send_item').removeClass('ng');
				}
				if (inp['p_tel']) {
					\$('#p_tel').val(inp['p_tel']).parents('.send_item').removeClass('ng');
				}
				if (inp['p_mail']) {
					\$('#p_mail').val(inp['p_mail']).parents('.send_item').removeClass('ng');
				}
				adj_input();
				adj_postnum("#p_post");
				\$('.cart_option .write input').prop('checked',true);
			}
		});
		function cal_cart(ar) {
			ot.ajax({
				type: "POST"
				, url: '{$_SERVER['REQUEST_URI']}'
				, data: "ajax=*cart_user_page&data="+JSON.stringify(ar)
				, dataType:'json'
				, success: function(data){
					if (data['html']) {
						\$('#cart_report').html(data['html']);
					}
					if (data['buy_price']) {
						\$('#buy_price').html("商品代 "+data['buy_price'].toLocaleString()+"円").attr('data-p',data['buy_price']);
						var a = \$('#about_send_price').attr('data-p');
						var b = data['buy_price'];
						a = parseInt(a)+parseInt(b)+parseInt(260);
						if (!isNaN(a)) {
							\$('#total_buy_price').html("合計 <span class='total_price'>"+a.toLocaleString()+"円</span>");
						}
					} else {
						\$('#buy_price').html("").removeAttr('data-p');
						\$('#about_send_price').html("");
						\$('#total_buy_price').html("");
						\$('#cart_report').html("現在、カートに商品は入っていません");
					}
					adj_input();
				}
			});
		}
		function remove_cart(p) {
			var cart = window.localStorage['onethird-cart'];
			if (cart) {
				cart = JSON.parse(cart);
				if (cart[p]) {
					delete cart[p];
					window.localStorage['onethird-cart'] = JSON.stringify(cart);
					var ar = [];
					for (var v in cart) {
						ar.push({'id':cart[v].id,'count':cart[v].count});
					}
					cal_cart(ar);
				}
			}
		}
		function adj_postnum(obj) {
			var o = \$(obj);
			var v1 = o.val();
			v = v1.replace(/[-ー－]*/gm,'');
			if (v.length >= 4) { v = v.substr(0,3) + '-' + v.substr(3); }
			if (v != v1) { o.val(v); return; }
			if (v.length == 8) {
				v = v1.replace(/[-ー－]*/gm,'');
				ot.ajax({
					type: "POST"
					, url: '{$_SERVER['REQUEST_URI']}'
					, data: "ajax=adj_postnum&data="+v
					, dataType:'json'
					, success: function(data){
						if (data['addr1'] && data['addr2']) {
							var v = String(data['data']);
							\$('#p_addr0').val(data['addr1']);
							\$('#p_addr1').val(data['addr2']);
							adj_input();
							if (data['price']) {
								\$('#about_send_price').html("送料+代引手数料 "+(parseInt(data['price'])+260).toLocaleString()+"円").attr('data-p',data['price']);
								var a = \$('#buy_price').attr('data-p');
								if (a) {
									a = parseInt(a)+parseInt(data['price'])+parseInt(260);
									\$('#total_buy_price').html("合計 <span class='total_price'>"+a.toLocaleString()+"円</span>");
								}
							}
						}
					}
				});
			}
		}
		function adj_input() {
			\$('#order_report .send_item input').each(function(){
				var o = \$(this);
				if (o.val()) {
					o.parents('.send_item').removeClass('ng').addClass('ok');
				} else {
					o.parents('.send_item').removeClass('ok').addClass('ng');
				}
			});
			if (\$('#order_report .send_item.ng').length || !\$('#buy_price').attr('data-p')) {
				\$('#cart_confirm').addClass('disabled');
			} else {
				\$('#cart_confirm').removeClass('disabled');
			}
		}
		function cart_confirm() {
			if (\$('#cart_confirm').hasClass('disabled')) {
				return;
			}
			if (\$('.cart_option .write input:checked').length) {
				var input_ar = {};
				\$('#order_report .send_item input').each(function(){
					var o = \$(this);
					if (o.val()) {
						input_ar[o.prop('id')] = o.val();
					} else {
					}
				});
				window.localStorage['onethird-cart-input'] = JSON.stringify(input_ar);
			} else {
				window.localStorage.removeItem('onethird-cart-input');
			}
			\$('#cart_confirm').hide();
			\$('#send_order').show();
			\$('#cart_report .del_hnd').hide();
			\$('#cart_report .cart_xcount').prop('disabled',true);
			\$('#order_report .send_item' ).addClass('confirm').removeClass('ok');
			\$('#order_report .send_item input' ).prop('disabled',true);
			\$('#order_report .send_item select' ).prop('disabled',true);
			\$('#order_report .send_item textarea' ).prop('disabled',true);
		}
		function reinput_order() {
			\$('#cart_confirm').show();
			\$('#send_order').hide();
			\$('#cart_report .del_hnd').show();
			\$('#cart_report .cart_xcount').prop('disabled',false);
			\$('#order_report .send_item' ).removeClass('confirm');
			\$('#order_report .send_item input' ).prop('disabled',false);
			\$('#order_report .send_item select' ).prop('disabled',false);
			\$('#order_report .send_item textarea' ).prop('disabled',false);
			adj_input();
		}
		function send_order() {
			var a = \$('#p_mail').val();
			var m = "【確認】\\n";
			m += "注文は "+a+" 宛のメールを受け取った時点で確定されます\\n";
			m += "\\n";
			m += "・メールアドレスに間違いがないことをご確認ください\\n";
			m += "\\n";
			m += "・注文のキャンセルや変更は、受信したメールの方法に従い行ってください\\n";
			m += "\\n";
			m += "注文しますか？\\n";
			if (!confirm(m)) {
				return;
			}
			if (\$('.cart_option .write input:checked').length) {
				var input_ar = {};
				\$('#order_report .send_item input').each(function(){
					var o = \$(this);
					if (o.val()) {
						input_ar[o.prop('id')] = o.val();
					} else {
					}
				});
				window.localStorage['onethird-cart-input'] = JSON.stringify(input_ar);
			} else {
				window.localStorage.removeItem('onethird-cart-input');
			}
			var opt = '';
			\$('#order_report .send_item .p_input').each(function(){
				var o = \$(this);
				opt += '&'+o.prop('id') + "=" + decodeURIComponent(o.val());
			});
			a = \$('#order_report #about_send_price').attr('data-p');
			if (a) {
				opt += '&p_about_send_price' + "=" + decodeURIComponent(a);
			}
			var cart = window.localStorage['onethird-cart'];
			if (cart) {
				cart = JSON.parse(cart);
				var ar = [];
				for (var v in cart) {
					ar.push({'id':cart[v].id,'count':cart[v].count});
				}
				if (ar.length) {
					ot.ajax({
						type: "POST"
						, url: '{$_SERVER['REQUEST_URI']}'
						, data: "ajax=send_order"+opt+"&data="+JSON.stringify(ar)
						, dataType:'json'
						, success: function(data){
							if (data['html']) {
								window.localStorage.removeItem('onethird-cart');
								\$('#cart_report').html(data['html']);
								\$('#order_report').hide();
							}
						}
					});
				}
			}
		}
	</script>
EOT;
	return $buff;
}


function cart_renderer( &$page_ar )
{
	global $html,$ut,$params,$tax_rate;
	
	$buff = '';

	if (check_rights('admin')) {
		cart_menu( $page_ar );
	}

$html['css']['cart'] = <<<EOT
	<style>
		.cart_unit {
			text-align: right;
			margin:15px 0;
		}
		.cart_unit .price-panel {
			margin:20px 0 0 0;
			display: inline-block;
		}
		.cart_unit .price-panel .text {
			line-height:100%;
			margin: 0;
			padding:0;
		}
		.cart_unit .price-panel .price {
			color:#cc3333;
			font-weight: bold;
			font-size:24px;
		}
		.cart_unit .count {
			margin:10px 0 10px 0;
		}
		.cart_unit .add_cart_button {
			display:inline-block;
			padding: 9px 17px;
			line-height: 222%;
			font-size:18px;
			text-align: center;
			cursor:pointer;

			border:1px solid #ffad41;
			-webkit-border-radius: 3px;
			-moz-border-radius: 3px;border-radius: 3px;
			text-decoration:none; display:inline-block;
			text-shadow: -1px -1px 0 rgba(0,0,0,0.15);
			font-weight:bold;
			color: #FFFFFF;

			background-color: #ffaf46;
			background: -webkit-linear-gradient(top, #ffaf46, #e78404);
			background: linear-gradient(to bottom, #ffaf46, #e78404);

		}
		.cart_unit .add_cart_button:hover {
			background: linear-gradient(to bottom, #e40a0a, #9f0202);
		}
		.cart_unit .stop_cart_button, .cart_unit .stop_cart_button:hover {
			background: linear-gradient(to bottom, #C3C3C3, #909090);
			color: #636161;
			border: 1px solid #A7A7A7;
   		}
		.cart_unit .in_cart {
			background-color: #e40a0a;
			background-image: -webkit-linear-gradient(top, #e40a0a, #9f0202);
			background-image: linear-gradient(to bottom, #e40a0a, #9f0202);
		}
		.cart_unit .title {
			text-align: left;
			padding-bottom:20px;
			font-size:20px;
		}
		.cart_unit .add_cart_button img {
			vertical-align: middle;
			width:32px;
		}
		.cart_unit .init_error {
			padding:20px;
			background-color: #C70202;
			font-size:18px;
			display: inline-block;
			margin-top: 30px;
			color: #fff;
		}
		#cart_master {
			background-color: #EB8B0E;
			padding: 10px;
			position: fixed;
			top: 3px;
			right: 100px;
			z-index: 10000;
			margin: 5px;
			color: #fff;
			font-weight: bold;
			font-size: 19px;
			box-shadow: 0px 0px 4px 2px rgba(255, 255, 255, 0.22);
			border: 2px solid #D46C00;
			display:none;
		}
		#cart_master img {
			vertical-align: middle;
			width:32px;
			height:32px;
		}
		#cart_master a {
			color:#fff;
		}
	</style>
EOT;

	if (!empty($page_ar['meta']['page_cart_price'])) {
$html['meta']['cart'.$page_ar['id']] = <<<EOT
	<script>
		\$(function(){
			adj_cart{$page_ar['id']}();
		});
		function add_cart{$page_ar['id']}() {
			if (!window['localStorage']) {
				alert("お使いのブラウザではご利用いただけません");
				return;
			}
			if (\$('.add_cart_button{$page_ar['id']}').hasClass('in_cart')) {
				location.href='{$ut->link('cart')}';
				return;
			}

			var cart = window.localStorage['onethird-cart'];
			if (!cart) {
				cart = {};
			} else {
				cart = JSON.parse(cart);
			}
			cart['p{$page_ar['id']}'] = {
				id:{$page_ar['id']}
				, parent_id:{$params['page']['id']}
				, title:"{$ut->safe_str($params['page']['title'])}"
				, price:{$ut->safe_int($page_ar['meta']['page_cart_price'])}
				, count:\$('.cart_unit .count select').val()
			};
			window.localStorage['onethird-cart'] = JSON.stringify(cart);
			adj_cart{$page_ar['id']}();
			
		}
		function adj_cart{$page_ar['id']}() {
			if (window['localStorage']) {
				var cart = window.localStorage['onethird-cart'];
				if (cart) {
					cart = JSON.parse(cart);
					if (cart['p{$page_ar['id']}']) {
						var h = "<img src='{$params['circle']['files_url']}plugin/cart/cart.png' />";
						h += " カートに入っています";
						\$('.add_cart_button{$page_ar['id']}').addClass('in_cart').html(h);
						\$('#cart_count{$page_ar['id']}').val(cart['p{$page_ar['id']}']['count']).prop('disabled',true);
						\$('#cart_master').show(200);
					}
				}
			}
		}
	</script>
EOT;
	}
	
$html['meta']['cart_master'] = <<<EOT
	<div id='cart_master'>
		<a href='{$ut->link('cart')}'><img src='{$params['circle']['files_url']}plugin/cart/cart.png' />
		カートを見る
		</a>
	</div>
EOT;

$buff .= <<<EOT
	<div class='cart_unit onethird-edit-pointer'>
EOT;
		if (check_rights('admin')) {
$buff .= <<<EOT
			<div class='edit_pointer'>
				<a href='javascript:void(ot.page_cart_setting({$page_ar['id']}))' >{$ut->icon('setting')}</a>
				<a href='javascript:void(ot.remove_page({$page_ar['id']}))' title='delete' >{$ut->icon('delete')}</a>
			</div>
EOT;
		}
		if (empty($page_ar['meta']['page_cart_price'])) {
			if (check_rights('admin')) {
$buff .= <<<EOT
				<div class='init_error'>
					{$ut->icon('lock')}設定エラー:価格を設定してください
				</div>
EOT;
			}
		} else {
			$page_cart_mode = 0;
			if (!empty($page_ar['meta']['page_cart_mode'])) {
				$page_cart_mode = $page_ar['meta']['page_cart_mode'];
			}
			if ($page_cart_mode != 3) {
$buff .= <<<EOT
				<div class='price-panel'>
EOT;
					if (!empty($page_ar['meta']['page_cart_title'])) {
$buff .= <<<EOT
						<div class='title'>
							{$ut->safe_echo($page_ar['meta']['page_cart_title'])}
						</div>
EOT;
					}
$buff .= <<<EOT
					<p class='text'>価格
						<span class='price'>{$ut->safe_price($page_ar['meta']['page_cart_price'])} 円</span>
					(税抜)
					</p>
					(税込 {$ut->safe_price($ut->safe_num($page_ar['meta']['page_cart_price'])*$tax_rate)} 円)
				</div>
				<div class='count'>
					個数
					<select id='cart_count{$page_ar['id']}'>
						<option value='1'>1</option>
						<option value='2'>2</option>
						<option value='3'>3</option>
						<option value='4'>4</option>
						<option value='5'>5</option>
						<option value='6'>6</option>
						<option value='7'>7</option>
						<option value='8'>8</option>
						<option value='9'>9</option>
						<option value='10'>10</option>
					</select>
				</div>
EOT;
				if ($page_cart_mode==1) {
$buff .= <<<EOT
					<div class='add_cart_button add_cart_button{$page_ar['id']}' onclick='add_cart{$page_ar['id']}()' >
						<img src='{$params['circle']['files_url']}plugin/cart/cart.png' />
						カートに入れる
					</div>
EOT;
				} else if ($page_cart_mode==2) {
$buff .= <<<EOT
					<div class='add_cart_button add_cart_button{$page_ar['id']}' onclick='add_cart{$page_ar['id']}()' >
						<img src='{$params['circle']['files_url']}plugin/cart/cart.png' />
						予約する
					</div>
EOT;
				} else {
$buff .= <<<EOT
					<div class='add_cart_button stop_cart_button add_cart_button{$page_ar['id']}' >
						販売停止中
					</div>
EOT;
				}
			} else {
				if (check_right('admin')) {
					$buff .= "<div class='price-panel'>{$ut->icon('lock')}非表示</div>";
				}
			}
		}

$buff .= <<<EOT
	</div>
EOT;

	return frame_renderer($buff);
}

function cart_menu( &$page_ar )
{
	global $params, $ut, $html, $database, $plugin_ar;

	$id = $page_ar['id'];
	$parent_page = $page_ar['id'];

	// 設定
	if (check_rights('admin')) {
		snippet_std_setting("Setting","page_cart_setting");
		if (isset($_POST['ajax']) && $_POST['ajax'] == "page_cart_setting")  {
			if ($page_ar['id'] == (int)$_POST['id']) {
				$r = array();
				$r['result'] = true;
				$r['id'] = $p_id = $page_ar['id'];
				$r['meta'] = $page_ar['meta'];
				
				if (empty($r['meta']['page_cart_price'])) {
					$r['meta']['page_cart_price'] = 0;
				}
				if (empty($r['meta']['page_cart_title'])) {
					$r['meta']['page_cart_title'] = '';
				}
				$p_mode = 1;
				if (isset($r['meta']['page_cart_mode'])) {
					$p_mode = $r['meta']['page_cart_mode'];
				}

$r['html'] = <<<EOT
				<table>
					<tr>
						<td style='vertical-align: top;'>タイトル(省略可)</td>
						<td>
							<input type='text' data-input='page_cart_title' value='{$ut->safe_echo($r['meta']['page_cart_title'])}' />
						</td>
					</tr>
					<tr>
						<td style='vertical-align: top;'>価格(税抜)</td>
						<td>
							<input type='number' data-input='page_cart_price' value='{$ut->safe_num($r['meta']['page_cart_price'])}' />
						</td>
					</tr>
					<tr>
						<td style='vertical-align: top;'>販売中止</td>
						<td>
							{$ut->input(
								array('type'=>'select'
									, 'data-input'=>'page_cart_mode'
									, 'value'=>$p_mode
									//, 'option'=>array('0'=>'販売停止','1'=>'販売中','2'=>'予約販売','3'=>'非表示')
									, 'option'=>array('0'=>'販売停止','1'=>'販売中','3'=>'非表示')
								)
							)}
						</td>
					</tr>
				</table>
EOT;
				echo(json_encode($r));
				exit();
			}
		}

		if (check_rights('admin') && isset($_POST['ajax']) && $_POST['ajax'] == 'save_page_cart_setting')  {
			if ($page_ar['id'] == (int)$_POST['id']) {
				$r = array();
				$r['result'] = false;
				$r['id'] = $page_ar['id'];
				$r['meta'] = $page_ar['meta'];

				if (isset($_POST['page_cart_price'])) {
					$r['meta']['page_cart_price'] = sanitize_num($_POST['page_cart_price']);
				}
				if (isset($_POST['page_cart_title'])) {
					$r['meta']['page_cart_title'] = sanitize_str($_POST['page_cart_title']);
				}
				$r['meta']['page_cart_mode'] = sanitize_num($_POST['page_cart_mode']);

				$r['metadata'] = serialize64($r['meta']);
				if (mod_data_items($r)) {
					$r['result'] = true;
				}

				echo(json_encode($r));
				exit();
			}
		}
	}
}

function get_cart_mess(&$page_ar)
{
	global $config,$params,$ut;
	
	$buff = array();

	if (isset($page_ar['meta']['cart_name'])) {
		$buff['name'] = $page_ar['meta']['cart_name'];
	} else {
		$buff['name'] = $params['circle']['name'];
	}
	if (isset($page_ar['meta']['cart_mail'])) {
		$buff['mail'] = $page_ar['meta']['cart_mail'];
	} else {
		$buff['mail'] = '';
	}
	if (isset($page_ar['meta']['cart_tel'])) {
		$buff['tel'] = $page_ar['meta']['cart_tel'];
	} else {
		$buff['tel'] = '';
	}
	if (isset($page_ar['meta']['shipping'])) {
		$buff['shipping'] = $page_ar['meta']['shipping'];
	} else {
		$buff['shipping'] = '';
	}

	if (isset($page_ar['meta']['cart_head'])) {
		$buff['head'] = $page_ar['meta']['cart_head'];
	} else {
$buff['head'] = <<<EOT
この度は{$buff['name']}を
ご利用いただきまして、誠にありがとうございます。
EOT;
	}

	if (isset($page_ar['meta']['cart_footer'])) {
		$buff['footer'] = $page_ar['meta']['cart_footer'];
	} else {
$buff['footer'] = <<<EOT

[商品、決済・発送に関するお問い合わせ先]
{$buff['name']}
{$ut->link()}
住所
電話番号:{$buff['tel']}
メール:{$buff['mail']}


EOT;
	}

	return $buff;
}

?>